//------------------------------------------------------------------------------
// Author Todd Stafney
// e-mail: todd@stafney.com
// url: http://stafney.com/
//
// Copyright (C) 2008 Todd M Stafney
//
// This file is part of BuildSystemPlugins.
//
// BuildSystemPlugins is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using ccnet.Stafney.Labellers.plugin;

namespace UnitTest
{
    [TestFixture()]
    public class VersionInfoLabellerTests
    {
        static readonly Version expectedVer = new Version("1.2.3.4");
        static void Main(string[] args)
        {
            // this one is simply so we can execute our tests outside of
            // NUnit...  Quick and easy :)
            // it was more to help me develop the plugin than anything else.
            // I suppose it's not really needed any more...  Nor does it need
            // to be kept updated with new tests...
            VersionInfoLabellerTests tester = new VersionInfoLabellerTests();
            tester.GetCsVersion();
            tester.GetVbVersion();
        }

        // need some negative test branches

        [Test()]
        public void GetCsVersion()
        {
            Version ver = VersionInfoLabeller.GetVersion(new System.IO.FileInfo("SampleAssemblyInfo.cs.txt"), "AssemblyVersion");
            Assert.AreEqual(expectedVer, ver);
        }

        [Test()]
        public void GetVbVersion()
        {
            Version ver = VersionInfoLabeller.GetVersion(new System.IO.FileInfo("SampleAssemblyInfo.vb.txt"), "AssemblyVersion");
            Assert.AreEqual(expectedVer, ver);
        }

    }
}
